### Method

# Foundry SdkManager find_by_id

#### Declaration [src]

    DexFuture*
    foundry_sdk_manager_find_by_id (
      FoundrySdkManager* self,
      const char* sdk_id
    )

#### Description [src]

Find a SDK by its identifier.

#### Parameters

`sdk_id`

  Type: `const char*`

  The identifier of the SDK.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `FoundrySdk` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.